Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class ShortRangeFieldValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.AbstractRangeValidator
                  com.opensymphony.xwork2.validator.validators.ShortRangeFieldValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

    public class ShortRangeFieldValidator

extends AbstractRangeValidator

Field Validator that checks if the short specified is within a certain range.

- fieldName - The field name this validator is validating. Required if using Plain-Validator Syntax otherwise not required
- min - the minimum value (if none is specified, it will not be checked)
- max - the maximum value (if none is specified, it will not be checked)

                  <validators>
               <!-- Plain Validator Syntax -->
               <validator type="short">
                   <param name="fieldName">age</param>
                   <param name="min">20</param>
                   <param name="max">50</param>
                   <message>Age needs to be between ${min} and ${max}</message>
               </validator>

               <!-- Field Validator Syntax -->
               <field name="age">
                   <field-validator type="short">
                       <param name="min">20</param>
                       <param name="max">50</param>
                       <message>Age needs to be between ${min} and ${max}</message>
                   </field-validator>
               </field>
          </validators>

Version:
  $Date: 2009-12-27 19:18:29 +0100 (Sun, 27 Dec 2009) $

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`ShortRangeFieldValidator()`

Method Summary
`java.lang.Short` | `getMax()`
`java.lang.Comparable` | `getMaxComparatorValue()`
`java.lang.Short` | `getMin()`
`java.lang.Comparable` | `getMinComparatorValue()`
`void` | `setMax(java.lang.Short max)`
`void` | `setMin(java.lang.Short min)`

Methods inherited from class com.opensymphony.xwork2.validator.validators.AbstractRangeValidator
`validate`

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setMessageParameters, setParse, setShortCircuit, setValidatorContext, setValueStack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

Constructor Detail

### ShortRangeFieldValidator

    public ShortRangeFieldValidator()

Method Detail

### setMax

    public void setMax(java.lang.Short max)

### getMax

    public java.lang.Short getMax()

### getMaxComparatorValue

    public java.lang.Comparable getMaxComparatorValue()

  Specified by:
    `getMaxComparatorValue` in class `AbstractRangeValidator`

### setMin

    public void setMin(java.lang.Short min)

### getMin

    public java.lang.Short getMin()

### getMinComparatorValue

    public java.lang.Comparable getMinComparatorValue()

  Specified by:
    `getMinComparatorValue` in class `AbstractRangeValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.